Subject: Re: [PATCH net v1 0/2] Fix ethtool --show-eee for stmmac

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 12 Nov 2024 09:24:29 +0000

On Tue, Nov 12, 2024 at 03:24:45PM +0800, Choong Yong Liang wrote:
> This fix ensures that 'ethtool --show-eee' displays the correct
> status for stmmac.

What do you think is wrong? It seems stmmac is manipulating eee_enabled
depending on something. This is wrong. eee_enabled is a _user_
_configuration_ bit, not a status bit. If the user sets eee_enabled to
a particular state, then the user expects it to stay that way and not
be manipulated by the driver.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!